Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling
[Java] Interface ResultHandler

    public interface ResultHandler

A handler for an asynchronous operation which returns an object of type T.

Parameters:
  `` - The result type.

Method Summary
`void` | `onComplete(Object result)` Handles successful completion of the operation.
`void` | `onFailure(GradleConnectionException failure)` Handles failures.

Method Detail

### onComplete

    public void onComplete(Object result)

  Handles successful completion of the operation.
  Parameters:
    `result` - the result

### onFailure

    public void onFailure(GradleConnectionException failure)

  Handles failures. A failure happens when the target Gradle version does not support the features required to build this model. For example, when you have configured the long running operation with a settings like: LongRunningOperation.setStandardInput, LongRunningOperation.setJavaHome, LongRunningOperation.setJvmArguments but those settings are not supported on the target Gradle.
  Parameters:
    `failure` - the failure

Gradle API 1.1-rc-1